:root {
    --page-background-color: #F8FAFC;
    --element-background-color: #FFFFFF;
    --border-color: #CCD8EB;

    /* Typography */
    --text-size: 18px;
    --text-line-height: 21px;
    --text-color: #2A3B58;
    --secondary-text-size: 14px;
    --secondary-text-line-height: 17px;
    --secondary-text-color: #647085;
    --font-family: 'rubik', sans-serif;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-size: var(--text-size);
    line-height: var(--text-line-height);
    font-family: var(--font-family);
    color: var(--text-color);
    background-color: var(--page-background-color);
}

.site-footer {
    margin-top: auto;
    position: relative;
}

.site-footer::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    background-color: var(--element-background-color);
    border-top: 1px solid var(--border-color);
}

.site-footer .footer-content {
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    padding: 12px 24px;
    max-width: 1920px;
}

.site-footer .footer-content * {
    margin: 0;
    font-size: var(--secondary-text-size);
    line-height: var(--secondary-text-line-height);
    color: var(--secondary-text-color);
}

.site-footer .footer-content .footer-menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px 24px;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.site-footer .footer-content .footer-menu a {
    text-decoration: none;
}

.site-footer .footer-content .footer-menu a:hover {
    text-decoration: underline;
    color: var(--text-color);
}